Chapter 56. ServiceAccountService
56.1. ListServiceAccounts Copy linkLink copied to clipboard!
GET /v1/serviceaccounts
56.1.1. Description Copy linkLink copied to clipboard!
56.1.2. Parameters Copy linkLink copied to clipboard!
56.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
56.1.3. Return Type Copy linkLink copied to clipboard!
56.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
56.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
56.1.6. Samples Copy linkLink copied to clipboard!
56.1.7. Common object reference Copy linkLink copied to clipboard!
56.1.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
56.1.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
56.1.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
56.1.7.3. StorageK8sRole Copy linkLink copied to clipboard!
Properties of an individual k8s Role or ClusterRole. ////////////////////////////////////////
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| namespace | String | ||||
| clusterId | String | ||||
| clusterName | String | ||||
| clusterRole | Boolean | ||||
| labels |
Map of | ||||
| annotations |
Map of | ||||
| createdAt | Date | date-time | |||
| rules | List of StoragePolicyRule |
56.1.7.4. StoragePolicyRule Copy linkLink copied to clipboard!
Properties of an individual rules that grant permissions to resources. ////////////////////////////////////////
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| verbs |
List of | ||||
| apiGroups |
List of | ||||
| resources |
List of | ||||
| nonResourceUrls |
List of | ||||
| resourceNames |
List of |
56.1.7.5. StorageServiceAccount Copy linkLink copied to clipboard!
Any properties of an individual service account. (regardless of time, scope, or context) ////////////////////////////////////////
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| namespace | String | ||||
| clusterName | String | ||||
| clusterId | String | ||||
| labels |
Map of | ||||
| annotations |
Map of | ||||
| createdAt | Date | date-time | |||
| automountToken | Boolean | ||||
| secrets |
List of | ||||
| imagePullSecrets |
List of |
56.1.7.6. V1ListServiceAccountResponse Copy linkLink copied to clipboard!
A list of service accounts (free of scoped information) Next Tag: 2
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| saAndRoles | List of V1ServiceAccountAndRoles |
56.1.7.7. V1SADeploymentRelationship Copy linkLink copied to clipboard!
Service accounts can be used by a deployment. Next Tag: 3
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | Name of the deployment. |
56.1.7.8. V1ScopedRoles Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| namespace | String | ||||
| roles | List of StorageK8sRole |
56.1.7.9. V1ServiceAccountAndRoles Copy linkLink copied to clipboard!
A service account and the roles that reference it Next Tag: 5
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| serviceAccount | |||||
| clusterRoles | List of StorageK8sRole | ||||
| scopedRoles | List of V1ScopedRoles | ||||
| deploymentRelationships | List of V1SADeploymentRelationship |
56.2. GetServiceAccount Copy linkLink copied to clipboard!
GET /v1/serviceaccounts/{id}
56.2.1. Description Copy linkLink copied to clipboard!
56.2.2. Parameters Copy linkLink copied to clipboard!
56.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
56.2.3. Return Type Copy linkLink copied to clipboard!
56.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
56.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
56.2.6. Samples Copy linkLink copied to clipboard!
56.2.7. Common object reference Copy linkLink copied to clipboard!
56.2.7.1. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
56.2.7.1.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
56.2.7.2. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
56.2.7.3. StorageK8sRole Copy linkLink copied to clipboard!
Properties of an individual k8s Role or ClusterRole. ////////////////////////////////////////
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| namespace | String | ||||
| clusterId | String | ||||
| clusterName | String | ||||
| clusterRole | Boolean | ||||
| labels |
Map of | ||||
| annotations |
Map of | ||||
| createdAt | Date | date-time | |||
| rules | List of StoragePolicyRule |
56.2.7.4. StoragePolicyRule Copy linkLink copied to clipboard!
Properties of an individual rules that grant permissions to resources. ////////////////////////////////////////
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| verbs |
List of | ||||
| apiGroups |
List of | ||||
| resources |
List of | ||||
| nonResourceUrls |
List of | ||||
| resourceNames |
List of |
56.2.7.5. StorageServiceAccount Copy linkLink copied to clipboard!
Any properties of an individual service account. (regardless of time, scope, or context) ////////////////////////////////////////
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | ||||
| namespace | String | ||||
| clusterName | String | ||||
| clusterId | String | ||||
| labels |
Map of | ||||
| annotations |
Map of | ||||
| createdAt | Date | date-time | |||
| automountToken | Boolean | ||||
| secrets |
List of | ||||
| imagePullSecrets |
List of |
56.2.7.6. V1GetServiceAccountResponse Copy linkLink copied to clipboard!
One service account Next Tag: 2
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| saAndRole |
56.2.7.7. V1SADeploymentRelationship Copy linkLink copied to clipboard!
Service accounts can be used by a deployment. Next Tag: 3
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | ||||
| name | String | Name of the deployment. |
56.2.7.8. V1ScopedRoles Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| namespace | String | ||||
| roles | List of StorageK8sRole |
56.2.7.9. V1ServiceAccountAndRoles Copy linkLink copied to clipboard!
A service account and the roles that reference it Next Tag: 5
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| serviceAccount | |||||
| clusterRoles | List of StorageK8sRole | ||||
| scopedRoles | List of V1ScopedRoles | ||||
| deploymentRelationships | List of V1SADeploymentRelationship |